
#ifndef INTERP_H
#define INTERP_H

class interpolator_vector {
  public:
    inline interpolator_vector() : me(this), mem1(this-1), mep1(this+1) {}
    inline ~interpolator_vector() {
        me = mem1 = mep1 = 0x0;
    }

    inline bool testValid () const {
        return me == this && mem1 == (this-1) && mep1 == (this+1);
    }

    class interpolator_vector * me;
    class interpolator_vector * mem1;
    class interpolator_vector * mep1;
    std::vector< octree::OctreeInterpolator<DSMCData,Particle> *> i;
};

#endif // INTERP_H
